Subject: bug#64809: 29.1; Initial frame is wrong size when dimensions specified in init file

From: Po Lu <[email-masked]>
Date: Mon, 24 Jul 2023 21:27:59 +0800

David Fiander <[email-masked]> writes:

> On 2023-07-24 07:05, Po Lu wrote:
>> Eli Zaretskii <[email-masked]> writes:
>> 
>>>> Date: Sun, 23 Jul 2023 15:02:45 -0500
>>>> From: David Fiander <[email-masked]>
>>>>
>>>> Using the below init file, and running emacs from the command line, the
>>>> initial frame seems to appear with the correct size but then shrinks
>>>> down.
>>>
>>> Shrinks down to what size?
>
> When I resize the window, the emacs tooltip says that it's
> 89x25. xwininfo says that it's 752x504 pixels. The characters
> displayed in the window are the same size as when I run 28.2. See the
> attached screenshot.
>
> When I use the same init file with emacs 28.2, the emacs tooltip also
> says 89x25, but xwininfo reports that it is 1215x824 pixels

What happens if you set:

  (setq frame-resize-pixelwise t)

in your early-init.el?

> I'm using gtk+, but not pgtk. The window manager is XFCE.

Thanks.  Does the problem still occur with a no-toolkit build (one with
--with-x-toolkit=no?)